/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class DisplayMethodEnum extends StringEnum
{
    public static final String BROWSER_VALUE = "BROWSER";//alias=跳转系统默认浏览器打开
    public static final String SIDEBAR_VALUE = "SIDEBAR";//alias=飞书中侧边抽屉打开
    public static final String NORMAL_VALUE = "NORMAL";//alias=飞书内嵌页面打开
    public static final String TRUSTEESHIP_VALUE = "TRUSTEESHIP";//alias=以托管打开

    public static final DisplayMethodEnum BROWSER = new DisplayMethodEnum("BROWSER", BROWSER_VALUE);
    public static final DisplayMethodEnum SIDEBAR = new DisplayMethodEnum("SIDEBAR", SIDEBAR_VALUE);
    public static final DisplayMethodEnum NORMAL = new DisplayMethodEnum("NORMAL", NORMAL_VALUE);
    public static final DisplayMethodEnum TRUSTEESHIP = new DisplayMethodEnum("TRUSTEESHIP", TRUSTEESHIP_VALUE);

    /**
     * construct function
     * @param String displayMethodEnum
     */
    private DisplayMethodEnum(String name, String displayMethodEnum)
    {
        super(name, displayMethodEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static DisplayMethodEnum getEnum(String displayMethodEnum)
    {
        return (DisplayMethodEnum)getEnum(DisplayMethodEnum.class, displayMethodEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(DisplayMethodEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(DisplayMethodEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(DisplayMethodEnum.class);
    }
}